boost::geometry::range::detail::pos< RandomAccessRange > Struct Template Reference

List of all members.

## Public Types

typedef boost::range_difference < RandomAccessRange >::type | difference_type
typedef boost::range_iterator < RandomAccessRange >::type | iterator
typedef boost::range_size < RandomAccessRange >::type | size_type

## Static Public Member Functions

static iterator | apply (RandomAccessRange &rng, size_type i)

### template<typename RandomAccessRange>
struct boost::geometry::range::detail::pos< RandomAccessRange >

## Member Typedef Documentation

template<typename RandomAccessRange >

typedef boost::range_iterator<RandomAccessRange>::type boost::geometry::range::detail::pos< RandomAccessRange >::iterator

template<typename RandomAccessRange >

typedef boost::range_size<RandomAccessRange>::type boost::geometry::range::detail::pos< RandomAccessRange >::size_type

template<typename RandomAccessRange >

typedef boost::range_difference<RandomAccessRange>::type boost::geometry::range::detail::pos< RandomAccessRange >::difference_type

## Member Function Documentation

template<typename RandomAccessRange >

static iterator boost::geometry::range::detail::pos< RandomAccessRange >::apply | ( | RandomAccessRange & | rng,
|  | size_type | i
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK